[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TObjectTextEncoding

Encoding of the object text file

## Declaration

Source position: classesh.inc line 2299

`type TObjectTextEncoding = (`
`oteDFM,` |  | Characters are in DFM (Delphi) format: widechar encoded.
`oteLFM` |  | Characters are in LFM format: UTF-8 encoded.
`);`

## Description

TObjectTextEncoding is an enumerated type which denotes the encoding of non ASCII characters in an object stream file. It is needed for correct encoding when reading string values in the text stream.

## See also

ObjectTextToBinary |  | Converts an object stream from a text to a binary format.